package com.ruoyi.frequency.worklike.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.frequency.worklike.entity.WorkLike;
import com.ruoyi.vo.UserVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 作品点赞Mapper接口
 * 
 * @author liwenlong
 * @date 2023-10-12
 */
public interface WorkLikeMapper  extends BaseMapper<WorkLike>
{
    /**
     * 查询作品点赞
     * 
     * @param id 作品点赞主键
     * @return 作品点赞
     */
    public WorkLike selectWorkLikeById(Long id);

    /**
     * 查询作品点赞列表
     * 
     * @param workLike 作品点赞
     * @return 作品点赞集合
     */
    public List<WorkLike> selectWorkLikeList(WorkLike workLike);

    /**
     * 新增作品点赞
     * 
     * @param workLike 作品点赞
     * @return 结果
     */
    public int insertWorkLike(WorkLike workLike);

    /**
     * 修改作品点赞
     * 
     * @param workLike 作品点赞
     * @return 结果
     */
    public int updateWorkLike(WorkLike workLike);

    /**
     * 删除作品点赞
     * 
     * @param id 作品点赞主键
     * @return 结果
     */
    public int deleteWorkLikeById(Long id);

    /**
     * 批量删除作品点赞
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWorkLikeByIds(Long[] ids);

    /**
     * 点赞
     * @param workLike
     * @param userVo
     */
    void workLike(@Param("req") WorkLike workLike,@Param("userVo") UserVo userVo);
}
